package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.BasicStorehouse;
import com.chinaitop.depot.intelligent.basicdata.model.BasicStorehouseExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface BasicStorehouseMapper {
    int countByExample(BasicStorehouseExample example);

    int deleteByExample(BasicStorehouseExample example);

    int deleteByPrimaryKey(Integer storehouseId);

    int insert(BasicStorehouse record);

    int insertSelective(BasicStorehouse record);

    List<BasicStorehouse> selectByExample(BasicStorehouseExample example);

    BasicStorehouse selectByPrimaryKey(Integer storehouseId);

    int updateByExampleSelective(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByExample(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByPrimaryKeySelective(BasicStorehouse record);

    int updateByPrimaryKey(BasicStorehouse record);
}